{
  "format_version": "1.13.0",
  "minecraft:tree_feature": {
    "description": {
      "identifier": "nicothekid:stump_x_cherry_x_tree"
    },
    "trunk": {
      "trunk_height": {
        "range_min": 1,
        "range_max": 3
      },
      "trunk_block": "minecraft:cherry_log"
    },
    "base_block": [
      "minecraft:dirt",
      "minecraft:dirt_with_roots"
    ],
    "may_grow_on": [
      {
        "tags": "query.any_tag('custom_dirt')"
      },
      "minecraft:dirt",
      "minecraft:dirt_with_roots",
      "minecraft:grass",
      "minecraft:moss_block",
      "minecraft:mud",
      "minecraft:muddy_mangrove_roots",
      "minecraft:podzol"
    ],
    "may_replace": [
      {
        "tags": "query.any_tag('custom_leaves')"
      },
      {
        "tags": "query.any_tag('custom_plant')"
      },
      {
        "tags": "query.any_tag('custom_carpet')"
      },
      "minecraft:air",
      "minecraft:leaves",
      "minecraft:leaves2",
      "minecraft:azalea_leaves",
      "minecraft:azalea_leaves_flowered",
      "minecraft:mangrove_leaves",
      "minecraft:azalea",
      "minecraft:big_dripleaf",
      "minecraft:brown_mushroom",
      "minecraft:double_plant",
      "minecraft:flowering_azalea",
      "minecraft:flowing_water",
      "minecraft:glow_lichen",
      "minecraft:moss_carpet",
      "minecraft:pink_petals",
      "minecraft:red_mushroom",
      "minecraft:sculk_vein",
      "minecraft:small_dripleaf_block",
      "minecraft:snow_layer",
      "minecraft:tallgrass",
      "minecraft:vine",
      "minecraft:water",
      "minecraft:web"
    ],
    "may_grow_through": [
      {
        "tags": "query.any_tag('custom_dirt')"
      },
      "minecraft:dirt",
      "minecraft:dirt_with_roots",
      "minecraft:grass",
      "minecraft:moss_block",
      "minecraft:mud",
      "minecraft:muddy_mangrove_roots",
      "minecraft:podzol"
    ]
  }
}